# blob.hpp File Reference

Support for storing random binary data. More...

`#include "../core/alloc_func.hpp"`
`#include "../core/mem_func.hpp"`

Go to the source code of this file.

## Data Structures
class | CBlobBaseSimple
| Base class for simple binary blobs. More...
struct | CBlobBaseSimple::CHdr
| header of the allocated memory block More...
class | CBlobT< Titem_, Tbase_ >
| Blob - simple dynamic Titem_ array. More...
struct | CBlobT< Titem_, Tbase_ >::OnTransfer

## Detailed Description

Support for storing random binary data.

Definition in file blob.hpp.